video
from0.13 / s
MiniMax H3
MiniMax H3 / Hailuo-03 preview integration using Video Generation V2.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "minimax/h3/image-to-video", { input: { "prompt": "A cinematic scene at sunset", "duration": 5, "image_url": "https://example.com/input.jpg", "resolution": "2K", "aspect_ratio": "auto", "aigc_watermark": false }, withPolling: true, },); console.log(result);Calling the API
Use minimax/h3/image-to-video with the Higgsfield API. Keep credentials on your server.
import { config, higgsfield } from "@higgsfield/client/v2"; config({ credentials: process.env.HF_CREDENTIALS,}); const result = await higgsfield.subscribe( "minimax/h3/image-to-video", { input: { "prompt": "A cinematic scene at sunset", "duration": 5, "image_url": "https://example.com/input.jpg", "resolution": "2K", "aspect_ratio": "auto", "aigc_watermark": false }, withPolling: true, },); console.log(result);Request parameters
promptstring · required
Write your prompt here
{
"type": "string",
"title": "Prompt",
"minLength": 1,
"description": "Write your prompt here"
}image_urlstring · required
First frame URL
{
"type": "string",
"title": "First frame URL",
"format": "uri"
}end_image_urlstring · optional
Last frame URL
{
"type": "string",
"title": "Last frame URL",
"format": "uri"
}aspect_ratiostring · optional
Aspect ratio
Options: auto, adaptive, 21:9, 16:9, 4:3, 1:1, 3:4, 9:16
Default: "auto"
{
"enum": [
"auto",
"adaptive",
"21:9",
"16:9",
"4:3",
"1:1",
"3:4",
"9:16"
],
"type": "string",
"title": "Aspect ratio",
"default": "auto"
}durationinteger · optional
Duration
Default: 5
{
"type": "integer",
"title": "Duration",
"default": 5,
"maximum": 15,
"minimum": 5
}resolutionstring · optional
Resolution
Options: 2K
Default: "2K"
{
"enum": [
"2K"
],
"type": "string",
"title": "Resolution",
"default": "2K"
}aigc_watermarkboolean · optional
AIGC watermark
Default: false
{
"type": "boolean",
"title": "AIGC watermark",
"default": false
}Price
From $0.1300 per second.
View all pricing